> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.orientation.md).

# Orientation

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Specifies the orientation of controls or elements of controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Orientation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Orientation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                      |
| -------------- | ------------------------------------------------ |
| **Horizontal** | The control or element is oriented horizontally. |
| **Vertical**   | The control or element is oriented vertically.   |

## Used By

| Name                                                                                                                  | Description                                                                                                                                                                                                                                              |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [BindingNavigator.Orientation](/api/v3.0/wisej.web/data-binding/wisej.web.bindingnavigator.md#orientation)            | Returns or sets a value indicating the horizontal or vertical orientation of the [BindingNavigator](/api/v3.0/wisej.web/data-binding/wisej.web.bindingnavigator.md) control.                                                                             |
| [Control.LayoutChildren](/api/v3.0/wisej.web/general/control.md#layoutchildren-dock-spacing-usemargins-halign-valign) | Arranges all the child [Control](/api/v3.0/wisej.web/general/control.md) in the specified *direction* , spaced by *spacing* pixels.                                                                                                                      |
| [SplitContainer.Orientation](/api/v3.0/wisej.web/containers/splitcontainer.md#orientation)                            | Returns or sets a value indicating the horizontal or vertical orientation of the [SplitContainer](/api/v3.0/wisej.web/containers/splitcontainer.md) panels.                                                                                              |
| [TabControl.Orientation](/api/v3.0/wisej.web/containers/tabcontrol.md#orientation)                                    | Returns or sets a value indicating the horizontal or vertical orientation of the [TabControl](/api/v3.0/wisej.web/containers/tabcontrol.md) tabs.                                                                                                        |
| [TrackBar.Orientation](/api/v3.0/wisej.web/editors/wisej.web.trackbar.md#orientation)                                 | Returns or sets a value indicating the horizontal or vertical orientation of the track bar.                                                                                                                                                              |
| [Line.Orientation](/api/v3.0/wisej.web/content/wisej.web.line.md#orientation)                                         | Returns or sets a value indicating the horizontal or vertical orientation of the [Line](/api/v3.0/wisej.web/content/wisej.web.line.md) control.                                                                                                          |
| [SlideBar.Orientation](/api/v3.0/wisej.web/containers/wisej.web.slidebar.md#orientation)                              | Returns or sets the [Orientation](/api/v3.0/wisej.web/enumerations/wisej.web.orientation.md) of the [SlideBar](/api/v3.0/wisej.web/containers/wisej.web.slidebar.md) control.                                                                            |
| [SplitButton.Orientation](/api/v3.0/wisej.web/buttons/wisej.web.splitbutton.md#orientation)                           | Returns or sets a value indicating the layout of the [SplitButton](/api/v3.0/wisej.web/buttons/wisej.web.splitbutton.md). When the value is set to [Vertical](#fields) the down arrow is places below the text, otherwise it's to the right of the text. |
| [MdiTabProperties.Orientation](/api/v3.0/wisej.web/containers/form/wisej.web.mditabproperties.md#orientation)         | Returns or sets a value indicating the horizontal or vertical orientation of the [TabControl](/api/v3.0/wisej.web/containers/tabcontrol.md) tab pages.                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.orientation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
